<?php
include "../koneksi.php";

$id = $_POST['cost_id'];
$ekspedisi = $_POST['ekspedisi'];
$customer = $_POST['customer'];
$del_cost = $_POST['del_cost'];
$ret_cost = $_POST['ret_cost'];
		if ($ekspedisi == '') {
			$data['error']['edit_ekspedisi'] = 'Ekspedisi tidak boleh kosong';
		}
		if ($customer == '') {
			$data['error']['edit_customer'] = 'customer Tidak Boleh Kosong';
		}
		if ($del_cost == '') {
			$data['error']['edit_del_cost'] = 'Delivery Cost Tidak Boleh Kosong';
		}
		if ($ret_cost == '') {
			$data['error']['edit_ret_cost'] = 'Return Cost Unit tidak boleh kosong';
		}
		if (empty($data['error'])) {
			$query = "UPDATE cost SET
											EkspedisiID = '$ekspedisi',
											CustomerID = '$customer',
											Del_Cost = '$del_cost',
											Ret_Cost = '$ret_cost'
											WHERE CostID = '$id'
											";

			mysqli_query($koneksi, $query)
			or die ("Gagal Perintah SQL".mysql_error());
			$data['hasil'] = 'sukses';
		} else {
			$data['hasil'] = 'gagal';
		}
		echo json_encode($data);

?>

